<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Terminal</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_terminal.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-slots">Sloty publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_terminal-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Terminal</div></div>
</div><!--header-->
<div class="contents">

<p>Wyświetla różnego typu komunikaty.  
 <a href="class_terminal.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_terminal_8hpp_source.html">Terminal.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Terminal</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal__inherit__graph.png" border="0" usemap="#a_terminal_inherit__map" alt="Inheritance graph"/></div>
<map name="a_terminal_inherit__map" id="a_terminal_inherit__map">
<area shape="rect" title="Wyświetla różnego typu komunikaty." alt="" coords="23,152,95,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Terminal:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal__coll__graph.png" border="0" usemap="#a_terminal_coll__map" alt="Collaboration graph"/></div>
<map name="a_terminal_coll__map" id="a_terminal_coll__map">
<area shape="rect" title="Wyświetla różnego typu komunikaty." alt="" coords="23,152,95,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Sloty publiczne</h2></td></tr>
<tr class="memitem:a965c70b8309ba765f8575b46c272c8cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf">typeSerialOpenError</a> ()</td></tr>
<tr class="memdesc:a965c70b8309ba765f8575b46c272c8cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o błędzie otworzenia portu szeregowego.  <br /></td></tr>
<tr class="separator:a965c70b8309ba765f8575b46c272c8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa6bdacda486c7f68835318acd0ab597"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597">typeSerialReadError</a> ()</td></tr>
<tr class="memdesc:aaa6bdacda486c7f68835318acd0ab597"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o błędzie wczytania danych.  <br /></td></tr>
<tr class="separator:aaa6bdacda486c7f68835318acd0ab597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeee2c56557f7086f2212548c49fdc0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e">typeSerialReady</a> ()</td></tr>
<tr class="memdesc:abeee2c56557f7086f2212548c49fdc0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o prawidłowej konfiguracji portu.  <br /></td></tr>
<tr class="separator:abeee2c56557f7086f2212548c49fdc0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7dee8173df7da33ac52dc399a2a2361"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361">typeSerialEnded</a> ()</td></tr>
<tr class="memdesc:ac7dee8173df7da33ac52dc399a2a2361"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o zakończeniu połączenia z portem.  <br /></td></tr>
<tr class="separator:ac7dee8173df7da33ac52dc399a2a2361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309e9e3b36e0af1fbf7df19a36ec58dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd">typeObstacleDetected</a> ()</td></tr>
<tr class="memdesc:a309e9e3b36e0af1fbf7df19a36ec58dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o wykryciu przeszkody.  <br /></td></tr>
<tr class="separator:a309e9e3b36e0af1fbf7df19a36ec58dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18a4559d30c3e67c7d76964460aa0681"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681">typePlLang</a> ()</td></tr>
<tr class="memdesc:a18a4559d30c3e67c7d76964460aa0681"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o zmianie języka na polski.  <br /></td></tr>
<tr class="separator:a18a4559d30c3e67c7d76964460aa0681"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a46effe2bef072b6dfe72a52551edaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa">typeEngLang</a> ()</td></tr>
<tr class="memdesc:a7a46effe2bef072b6dfe72a52551edaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikat o zmianie języka na angielski.  <br /></td></tr>
<tr class="separator:a7a46effe2bef072b6dfe72a52551edaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:afba3c4445e1aa212be657a0460a9b070"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070">Terminal</a> (const char *terminal_title, QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:afba3c4445e1aa212be657a0460a9b070"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_terminal.html" title="Wyświetla różnego typu komunikaty.">Terminal</a>.  <br /></td></tr>
<tr class="separator:afba3c4445e1aa212be657a0460a9b070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad775e6fcf056ddda51a674a3e3f43b11"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#ad775e6fcf056ddda51a674a3e3f43b11">setBackgroundColour</a> (const QPalette &amp;palette)</td></tr>
<tr class="memdesc:ad775e6fcf056ddda51a674a3e3f43b11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia tło edytora.  <br /></td></tr>
<tr class="separator:ad775e6fcf056ddda51a674a3e3f43b11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a2c2a517c4e7d243b2a9be48eed28c148"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148">getTimeString</a> ()</td></tr>
<tr class="memdesc:a2c2a517c4e7d243b2a9be48eed28c148"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca aktualny czas w formie tekstu.  <br /></td></tr>
<tr class="separator:a2c2a517c4e7d243b2a9be48eed28c148"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad54014a5ede6a6da9d3f8c3cc0dd393a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">setVLayout</a> () override</td></tr>
<tr class="memdesc:ad54014a5ede6a6da9d3f8c3cc0dd393a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety pochodne w pionie.  <br /></td></tr>
<tr class="separator:ad54014a5ede6a6da9d3f8c3cc0dd393a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a679df2b8a9473791a7190f180c06a1ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">setStoredWidget</a> () override</td></tr>
<tr class="memdesc:a679df2b8a9473791a7190f180c06a1ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:a679df2b8a9473791a7190f180c06a1ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:adcf8c667948ef7bb6007c731976c4286"><td class="memItemLeft" align="right" valign="top">QTextEdit *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_terminal.html#adcf8c667948ef7bb6007c731976c4286">editor</a></td></tr>
<tr class="memdesc:adcf8c667948ef7bb6007c731976c4286"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wyświetla komunikaty.  <br /></td></tr>
<tr class="separator:adcf8c667948ef7bb6007c731976c4286"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_attribs_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Klasa <a class="el" href="class_terminal.html" title="Wyświetla różnego typu komunikaty.">Terminal</a> bazuje na działaniu obiektu QTextEditor, który pracuje w trybie ReadOnly. Odbiera sygnały z różnych części aplikacji i reaguje na nie wyświetlając odpowiedni komunikat informujący użytkownika o stanie programu. Każdemu komunikatowi towarzyszy godzina wysłania. </p>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8hpp_source.html#l00028">28</a> pliku <a class="el" href="_terminal_8hpp_source.html">Terminal.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="afba3c4445e1aa212be657a0460a9b070" name="afba3c4445e1aa212be657a0460a9b070"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afba3c4445e1aa212be657a0460a9b070">&#9670;&#160;</a></span>Terminal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Terminal::Terminal </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>terminal_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, przekazując mu tytuł widgetu oraz wskaźnik na widget będący rodzicem. Tworzy dynamicznie przechowywane atrybuty i wywołuje metody, które przygotowywują widgety do wyświetlenia w oknie głównym.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">terminal_title</td><td>- tytuł widgetu </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_afba3c4445e1aa212be657a0460a9b070_cgraph.png" border="0" usemap="#aclass_terminal_afba3c4445e1aa212be657a0460a9b070_cgraph" alt=""/></div>
<map name="aclass_terminal_afba3c4445e1aa212be657a0460a9b070_cgraph" id="aclass_terminal_afba3c4445e1aa212be657a0460a9b070_cgraph">
<area shape="rect" title="Inicjalizuje obiekt klasy Terminal." alt="" coords="5,31,133,56"/>
<area shape="rect" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee" title="Inicjalizuje widgety pochodne." alt="" coords="181,5,356,31"/>
<area shape="poly" title=" " alt="" coords="133,33,167,28,168,34,134,38"/>
<area shape="rect" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a" title="Ustawia widgety pochodne w pionie." alt="" coords="197,55,341,80"/>
<area shape="poly" title=" " alt="" coords="134,48,184,54,183,60,133,54"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a2c2a517c4e7d243b2a9be48eed28c148" name="a2c2a517c4e7d243b2a9be48eed28c148"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c2a517c4e7d243b2a9be48eed28c148">&#9670;&#160;</a></span>getTimeString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString Terminal::getTimeString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Zwraca</dt><dd>Zwraca stały obiekt typu QString zawierający datę w formacie hh:mm:ss. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00065">65</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a2c2a517c4e7d243b2a9be48eed28c148_icgraph.png" border="0" usemap="#aclass_terminal_a2c2a517c4e7d243b2a9be48eed28c148_icgraph" alt=""/></div>
<map name="aclass_terminal_a2c2a517c4e7d243b2a9be48eed28c148_icgraph" id="aclass_terminal_a2c2a517c4e7d243b2a9be48eed28c148_icgraph">
<area shape="rect" title="Zwraca aktualny czas w formie tekstu." alt="" coords="260,153,419,179"/>
<area shape="rect" href="class_terminal.html#a7a46effe2bef072b6dfe72a52551edaa" title="Wyświetla komunikat o zmianie języka na angielski." alt="" coords="32,5,185,31"/>
<area shape="poly" title=" " alt="" coords="319,144,273,93,244,66,211,44,184,33,186,28,213,40,247,62,277,89,323,140"/>
<area shape="rect" href="class_terminal.html#a309e9e3b36e0af1fbf7df19a36ec58dd" title="Wyświetla komunikat o wykryciu przeszkody." alt="" coords="5,55,212,80"/>
<area shape="poly" title=" " alt="" coords="308,148,263,120,211,94,176,83,178,78,213,89,266,115,311,143"/>
<area shape="rect" href="class_terminal.html#a18a4559d30c3e67c7d76964460aa0681" title="Wyświetla komunikat o zmianie języka na polski." alt="" coords="37,104,180,129"/>
<area shape="poly" title=" " alt="" coords="266,153,168,132,169,127,267,148"/>
<area shape="rect" href="class_terminal.html#ac7dee8173df7da33ac52dc399a2a2361" title="Wyświetla komunikat o zakończeniu połączenia z portem." alt="" coords="23,153,194,179"/>
<area shape="poly" title=" " alt="" coords="246,169,194,169,194,163,246,163"/>
<area shape="rect" href="class_terminal.html#a965c70b8309ba765f8575b46c272c8cf" title="Wyświetla komunikat o błędzie otworzenia portu szeregowego." alt="" coords="25,203,192,243"/>
<area shape="poly" title=" " alt="" coords="275,185,190,206,189,201,273,179"/>
<area shape="rect" href="class_terminal.html#aaa6bdacda486c7f68835318acd0ab597" title="Wyświetla komunikat o błędzie wczytania danych." alt="" coords="26,267,191,307"/>
<area shape="poly" title=" " alt="" coords="314,190,268,224,213,258,185,270,182,265,211,253,265,220,311,186"/>
<area shape="rect" href="class_terminal.html#abeee2c56557f7086f2212548c49fdc0e" title="Wyświetla komunikat o prawidłowej konfiguracji portu." alt="" coords="23,332,194,357"/>
<area shape="poly" title=" " alt="" coords="327,192,282,257,251,292,213,322,186,334,184,329,211,317,247,288,278,254,322,189"/>
</map>
</div>

</div>
</div>
<a id="ad54014a5ede6a6da9d3f8c3cc0dd393a" name="ad54014a5ede6a6da9d3f8c3cc0dd393a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad54014a5ede6a6da9d3f8c3cc0dd393a">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.</p>
<p>Idąc od góry, ustawiany jest tytuł a następnie edytor. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00044">44</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_ad54014a5ede6a6da9d3f8c3cc0dd393a_icgraph.png" border="0" usemap="#aclass_terminal_ad54014a5ede6a6da9d3f8c3cc0dd393a_icgraph" alt=""/></div>
<map name="aclass_terminal_ad54014a5ede6a6da9d3f8c3cc0dd393a_icgraph" id="aclass_terminal_ad54014a5ede6a6da9d3f8c3cc0dd393a_icgraph">
<area shape="rect" title="Ustawia widgety pochodne w pionie." alt="" coords="181,5,325,31"/>
<area shape="rect" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070" title="Inicjalizuje obiekt klasy Terminal." alt="" coords="5,5,133,31"/>
<area shape="poly" title=" " alt="" coords="167,21,133,21,133,15,167,15"/>
</map>
</div>

</div>
</div>
<a id="a679df2b8a9473791a7190f180c06a1ee" name="a679df2b8a9473791a7190f180c06a1ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a679df2b8a9473791a7190f180c06a1ee">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Nadaje przechowywanym widgetom odpowiednie ustawienia, wygląd, zależnie od danego widgetu.</p>
<p>Konfiguruje atrybut editor, nadając mu odpowiedni kolor, zachowanie geometrii oraz tryb ReadOnly. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00033">33</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a679df2b8a9473791a7190f180c06a1ee_icgraph.png" border="0" usemap="#aclass_terminal_a679df2b8a9473791a7190f180c06a1ee_icgraph" alt=""/></div>
<map name="aclass_terminal_a679df2b8a9473791a7190f180c06a1ee_icgraph" id="aclass_terminal_a679df2b8a9473791a7190f180c06a1ee_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="181,5,356,31"/>
<area shape="rect" href="class_terminal.html#afba3c4445e1aa212be657a0460a9b070" title="Inicjalizuje obiekt klasy Terminal." alt="" coords="5,5,133,31"/>
<area shape="poly" title=" " alt="" coords="168,21,134,21,134,15,168,15"/>
</map>
</div>

</div>
</div>
<a id="ad775e6fcf056ddda51a674a3e3f43b11" name="ad775e6fcf056ddda51a674a3e3f43b11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad775e6fcf056ddda51a674a3e3f43b11">&#9670;&#160;</a></span>setBackgroundColour()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::setBackgroundColour </td>
          <td>(</td>
          <td class="paramtype">const QPalette &amp;&#160;</td>
          <td class="paramname"><em>palette</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">palette</td><td>- skonfigurowana paleta barw </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00054">54</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>

</div>
</div>
<a id="a965c70b8309ba765f8575b46c272c8cf" name="a965c70b8309ba765f8575b46c272c8cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a965c70b8309ba765f8575b46c272c8cf">&#9670;&#160;</a></span>typeSerialOpenError</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeSerialOpenError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00075">75</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a965c70b8309ba765f8575b46c272c8cf_cgraph.png" border="0" usemap="#aclass_terminal_a965c70b8309ba765f8575b46c272c8cf_cgraph" alt=""/></div>
<map name="aclass_terminal_a965c70b8309ba765f8575b46c272c8cf_cgraph" id="aclass_terminal_a965c70b8309ba765f8575b46c272c8cf_cgraph">
<area shape="rect" title="Wyświetla komunikat o błędzie otworzenia portu szeregowego." alt="" coords="5,5,172,45"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="220,13,379,38"/>
<area shape="poly" title=" " alt="" coords="172,23,206,23,206,28,172,28"/>
</map>
</div>

</div>
</div>
<a id="aaa6bdacda486c7f68835318acd0ab597" name="aaa6bdacda486c7f68835318acd0ab597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa6bdacda486c7f68835318acd0ab597">&#9670;&#160;</a></span>typeSerialReadError</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeSerialReadError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00084">84</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_aaa6bdacda486c7f68835318acd0ab597_cgraph.png" border="0" usemap="#aclass_terminal_aaa6bdacda486c7f68835318acd0ab597_cgraph" alt=""/></div>
<map name="aclass_terminal_aaa6bdacda486c7f68835318acd0ab597_cgraph" id="aclass_terminal_aaa6bdacda486c7f68835318acd0ab597_cgraph">
<area shape="rect" title="Wyświetla komunikat o błędzie wczytania danych." alt="" coords="5,5,171,45"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="219,13,377,38"/>
<area shape="poly" title=" " alt="" coords="171,23,205,23,205,28,171,28"/>
</map>
</div>

</div>
</div>
<a id="abeee2c56557f7086f2212548c49fdc0e" name="abeee2c56557f7086f2212548c49fdc0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeee2c56557f7086f2212548c49fdc0e">&#9670;&#160;</a></span>typeSerialReady</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeSerialReady </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00102">102</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_abeee2c56557f7086f2212548c49fdc0e_cgraph.png" border="0" usemap="#aclass_terminal_abeee2c56557f7086f2212548c49fdc0e_cgraph" alt=""/></div>
<map name="aclass_terminal_abeee2c56557f7086f2212548c49fdc0e_cgraph" id="aclass_terminal_abeee2c56557f7086f2212548c49fdc0e_cgraph">
<area shape="rect" title="Wyświetla komunikat o prawidłowej konfiguracji portu." alt="" coords="5,5,176,31"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="224,5,383,31"/>
<area shape="poly" title=" " alt="" coords="176,15,210,15,210,21,176,21"/>
</map>
</div>

</div>
</div>
<a id="ac7dee8173df7da33ac52dc399a2a2361" name="ac7dee8173df7da33ac52dc399a2a2361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7dee8173df7da33ac52dc399a2a2361">&#9670;&#160;</a></span>typeSerialEnded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeSerialEnded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00093">93</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_ac7dee8173df7da33ac52dc399a2a2361_cgraph.png" border="0" usemap="#aclass_terminal_ac7dee8173df7da33ac52dc399a2a2361_cgraph" alt=""/></div>
<map name="aclass_terminal_ac7dee8173df7da33ac52dc399a2a2361_cgraph" id="aclass_terminal_ac7dee8173df7da33ac52dc399a2a2361_cgraph">
<area shape="rect" title="Wyświetla komunikat o zakończeniu połączenia z portem." alt="" coords="5,5,176,31"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="224,5,383,31"/>
<area shape="poly" title=" " alt="" coords="176,15,210,15,210,21,176,21"/>
</map>
</div>

</div>
</div>
<a id="a309e9e3b36e0af1fbf7df19a36ec58dd" name="a309e9e3b36e0af1fbf7df19a36ec58dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309e9e3b36e0af1fbf7df19a36ec58dd">&#9670;&#160;</a></span>typeObstacleDetected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeObstacleDetected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00111">111</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a309e9e3b36e0af1fbf7df19a36ec58dd_cgraph.png" border="0" usemap="#aclass_terminal_a309e9e3b36e0af1fbf7df19a36ec58dd_cgraph" alt=""/></div>
<map name="aclass_terminal_a309e9e3b36e0af1fbf7df19a36ec58dd_cgraph" id="aclass_terminal_a309e9e3b36e0af1fbf7df19a36ec58dd_cgraph">
<area shape="rect" title="Wyświetla komunikat o wykryciu przeszkody." alt="" coords="5,5,212,31"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="260,5,419,31"/>
<area shape="poly" title=" " alt="" coords="213,15,246,15,246,21,213,21"/>
</map>
</div>

</div>
</div>
<a id="a18a4559d30c3e67c7d76964460aa0681" name="a18a4559d30c3e67c7d76964460aa0681"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18a4559d30c3e67c7d76964460aa0681">&#9670;&#160;</a></span>typePlLang</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typePlLang </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00120">120</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a18a4559d30c3e67c7d76964460aa0681_cgraph.png" border="0" usemap="#aclass_terminal_a18a4559d30c3e67c7d76964460aa0681_cgraph" alt=""/></div>
<map name="aclass_terminal_a18a4559d30c3e67c7d76964460aa0681_cgraph" id="aclass_terminal_a18a4559d30c3e67c7d76964460aa0681_cgraph">
<area shape="rect" title="Wyświetla komunikat o zmianie języka na polski." alt="" coords="5,5,148,31"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="196,5,355,31"/>
<area shape="poly" title=" " alt="" coords="148,15,183,15,183,21,148,21"/>
</map>
</div>

</div>
</div>
<a id="a7a46effe2bef072b6dfe72a52551edaa" name="a7a46effe2bef072b6dfe72a52551edaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a46effe2bef072b6dfe72a52551edaa">&#9670;&#160;</a></span>typeEngLang</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Terminal::typeEngLang </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_terminal_8cpp_source.html#l00129">129</a> pliku <a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_terminal_a7a46effe2bef072b6dfe72a52551edaa_cgraph.png" border="0" usemap="#aclass_terminal_a7a46effe2bef072b6dfe72a52551edaa_cgraph" alt=""/></div>
<map name="aclass_terminal_a7a46effe2bef072b6dfe72a52551edaa_cgraph" id="aclass_terminal_a7a46effe2bef072b6dfe72a52551edaa_cgraph">
<area shape="rect" title="Wyświetla komunikat o zmianie języka na angielski." alt="" coords="5,5,159,31"/>
<area shape="rect" href="class_terminal.html#a2c2a517c4e7d243b2a9be48eed28c148" title="Zwraca aktualny czas w formie tekstu." alt="" coords="207,5,365,31"/>
<area shape="poly" title=" " alt="" coords="159,15,193,15,193,21,159,21"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="adcf8c667948ef7bb6007c731976c4286" name="adcf8c667948ef7bb6007c731976c4286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcf8c667948ef7bb6007c731976c4286">&#9670;&#160;</a></span>editor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QTextEdit* Terminal::editor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gdy komunikatów będzie za dużo, obiekt klasy QTextEdit dba o mechanizm suwaka i możliwość przeglądu starszych komunikatów. </p>

<p class="definition">Definicja w linii <a class="el" href="_terminal_8hpp_source.html#l00039">39</a> pliku <a class="el" href="_terminal_8hpp_source.html">Terminal.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_terminal_8hpp_source.html">Terminal.hpp</a></li>
<li><a class="el" href="_terminal_8cpp_source.html">Terminal.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_terminal.html">Terminal</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
